# eslint-config-eloquence changelog

This project strictly adheres to semver and will err on the side of releasing majors when
changes could possibly introduce breaking changes. This changelog is dynamically generated
with [Semantic Release](https://semantic-release.gitbook.io/semantic-release/) configured
with [@crystal-ball/semantic-release-base](https://github.com/crystal-ball/semantic-release-base).

> Changelog tags
>
> - 💥 - Breaking change
> - 🔖 - Release notes
> - 💖 - New feature
> - ✨ - Updates
> - 🛠 - Fixes


## [17.8.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.7.0...v17.8.0) (2021-03-20)


#### ✨ Update

* Dependencies to v4.18.0 🆙 (#306)([0b979c0](https://github.com/crystal-ball/eslint-config-eloquence/commit/0b979c044def20cb9136a833e33a3e90e26d887a)), closes [#306](https://github.com/crystal-ball/eslint-config-eloquence/issue/306)

## [17.7.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.6.0...v17.7.0) (2021-03-13)


#### ✨ Update

* Dependencies 🆙 (#305)([8aee4f9](https://github.com/crystal-ball/eslint-config-eloquence/commit/8aee4f95e90fada0e7bd4530b90fe4e3ae7f6dcc)), closes [#305](https://github.com/crystal-ball/eslint-config-eloquence/issue/305)

#### Chore

* Fix semantic-release branch configuration ⚙️ (#304)([19d8e57](https://github.com/crystal-ball/eslint-config-eloquence/commit/19d8e578d1d8e2f1c2311c27d41286d5e3a3bc88)), closes [#304](https://github.com/crystal-ball/eslint-config-eloquence/issue/304)
* Rename default branch to main 💖 (#303)([db8accf](https://github.com/crystal-ball/eslint-config-eloquence/commit/db8accf7e6bcccb6dc3eeaffe99cee615d55eac6)), closes [#303](https://github.com/crystal-ball/eslint-config-eloquence/issue/303)

## [17.6.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.5.0...v17.6.0) (2021-02-26)


#### ✨ Update

* Package dependencies 🆙([54ebda1](https://github.com/crystal-ball/eslint-config-eloquence/commit/54ebda18e4fafe6332df9fb3a4fc6056703f3fcb))

#### Chore

* Set repo configurations in files ⚙️ (#302)([e3fd010](https://github.com/crystal-ball/eslint-config-eloquence/commit/e3fd010ba27b4b870e26ffd303a2298f87881ceb)), closes [#302](https://github.com/crystal-ball/eslint-config-eloquence/issue/302)
* Update devDependencies 🆙 (#298)([6cff8f2](https://github.com/crystal-ball/eslint-config-eloquence/commit/6cff8f246407592de4c4db4926792ace17d66952)), closes [#298](https://github.com/crystal-ball/eslint-config-eloquence/issue/298)
* Update package dependencies 🆙  (#301)([d711de4](https://github.com/crystal-ball/eslint-config-eloquence/commit/d711de4a58b0c3b56bb413c69bcb089e948ba398)), closes [#301](https://github.com/crystal-ball/eslint-config-eloquence/issue/301)

## [17.5.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.4.0...v17.5.0) (2021-02-17)


#### ✨ Update

* Package dependencies 🆙 (#297)([002d9dd](https://github.com/crystal-ball/eslint-config-eloquence/commit/002d9ddebc372e38d97a609d59ec9d478d26aa0a)), closes [#297](https://github.com/crystal-ball/eslint-config-eloquence/issue/297)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.27.0 🆙 (#296)([a647fe3](https://github.com/crystal-ball/eslint-config-eloquence/commit/a647fe33e6baaeaa4a439942536ed7678a7733a7)), closes [#296](https://github.com/crystal-ball/eslint-config-eloquence/issue/296)

## [17.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.3.0...v17.4.0) (2021-02-11)


#### ✨ Update

* Dependencies to v4.15.0 🆙 (#293)([098ef89](https://github.com/crystal-ball/eslint-config-eloquence/commit/098ef899d56e32e11316987f6bcd8724b4b33225)), closes [#293](https://github.com/crystal-ball/eslint-config-eloquence/issue/293)

#### Chore

* Update devDependencies 🆙 (#292)([4a159a4](https://github.com/crystal-ball/eslint-config-eloquence/commit/4a159a4ef897924d6de3ba1c2607981cb5574c03)), closes [#292](https://github.com/crystal-ball/eslint-config-eloquence/issue/292)
* Update package husky to v5 🆙 (#294)([e29c7b6](https://github.com/crystal-ball/eslint-config-eloquence/commit/e29c7b6bb836fa23cd34117c872abefe92caf4ae)), closes [#294](https://github.com/crystal-ball/eslint-config-eloquence/issue/294)

## [17.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.2.0...v17.3.0) (2021-02-05)


#### ✨ Update

* Dependencies 🆙 (#284)([e40e1d4](https://github.com/crystal-ball/eslint-config-eloquence/commit/e40e1d458cedb8ef58efac90b56157da8bf459f1)), closes [#284](https://github.com/crystal-ball/eslint-config-eloquence/issue/284)

#### Chore, Upgrade

* Update devDependencies 🆙 (#288)([d6b5016](https://github.com/crystal-ball/eslint-config-eloquence/commit/d6b5016c6e98c88d8511c7bbfa9a161bf1804448)), closes [#288](https://github.com/crystal-ball/eslint-config-eloquence/issue/288)
* Update package husky to v4.3.8 🆙 (#289)([8d4416b](https://github.com/crystal-ball/eslint-config-eloquence/commit/8d4416b6c7c68a3ffc4c5f5dde10ba9495045373)), closes [#289](https://github.com/crystal-ball/eslint-config-eloquence/issue/289)
* Bump node-notifier from 8.0.0 to 8.0.1 (#285)([3aecc9c](https://github.com/crystal-ball/eslint-config-eloquence/commit/3aecc9c2c4f9d6df5fbba416abf07c5af8f10b8c)), closes [#285](https://github.com/crystal-ball/eslint-config-eloquence/issue/285)

## [17.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.1.0...v17.2.0) (2020-12-13)


#### ✨ Update

* Package dependencies 🆙 (#283)([c2f0ee3](https://github.com/crystal-ball/eslint-config-eloquence/commit/c2f0ee37536f3d79a2b1dbb374183a5302287a46)), closes [#283](https://github.com/crystal-ball/eslint-config-eloquence/issue/283)

#### Chore, Upgrade

* Update devDependencies 🆙 (#279)([2300731](https://github.com/crystal-ball/eslint-config-eloquence/commit/2300731c93cc3f04c2ddf3b15b3577217c06ed48)), closes [#279](https://github.com/crystal-ball/eslint-config-eloquence/issue/279)
* Bump ini from 1.3.5 to 1.3.7 (#282)([6722b3c](https://github.com/crystal-ball/eslint-config-eloquence/commit/6722b3c6ffb40815c80ddb62878ab090e31672fe)), closes [#282](https://github.com/crystal-ball/eslint-config-eloquence/issue/282)

## [17.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v17.0.0...v17.1.0) (2020-12-06)


#### ✨ Update

* Dependencies 🆙 (#278)([a806b3f](https://github.com/crystal-ball/eslint-config-eloquence/commit/a806b3f2e17fdb42eed6904f73252d9e14d5e95e)), closes [#278](https://github.com/crystal-ball/eslint-config-eloquence/issue/278)

#### Chore

* Update devDependencies 🆙 (#277)([cb532cb](https://github.com/crystal-ball/eslint-config-eloquence/commit/cb532cb6dd666529433226a7032f8d2340254eb0)), closes [#277](https://github.com/crystal-ball/eslint-config-eloquence/issue/277)

## [17.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.9.0...v17.0.0) (2020-11-28)


### 💥 Breaking Changes!

* TypeScript enums are no longer allowed


#### ✨ Update

* Forbid using TypeScript enums 💥 (#276)([e6a135e](https://github.com/crystal-ball/eslint-config-eloquence/commit/e6a135eab6af140e8876c8505634a670541e6e5e)), closes [#276](https://github.com/crystal-ball/eslint-config-eloquence/issue/276)

## [16.9.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.8.0...v16.9.0) (2020-11-28)


#### ✨ Update

* Dependencies 🆙 (#275)([a845829](https://github.com/crystal-ball/eslint-config-eloquence/commit/a8458293f837619f86efce5e97ac5a59a5fdaf7b)), closes [#275](https://github.com/crystal-ball/eslint-config-eloquence/issue/275)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.24.0 🆙 (#274)([d6feb5a](https://github.com/crystal-ball/eslint-config-eloquence/commit/d6feb5a2862edd6358189fd57d2885621203f952)), closes [#274](https://github.com/crystal-ball/eslint-config-eloquence/issue/274)

## [16.8.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.7.2...v16.8.0) (2020-11-22)


#### ✨ Update

* Disable React prop rules in TS scope 🤩 (#273)([d979751](https://github.com/crystal-ball/eslint-config-eloquence/commit/d9797510c0e0323ae4e0b72e33bf882054e75f89)), closes [#273](https://github.com/crystal-ball/eslint-config-eloquence/issue/273) [#270](https://github.com/crystal-ball/eslint-config-eloquence/issue/270)

### [16.7.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.7.1...v16.7.2) (2020-11-22)


#### 🛠 Fix

* Disabled rules getting enabled in development 🎊 (#272)([a9d0ac3](https://github.com/crystal-ball/eslint-config-eloquence/commit/a9d0ac343745077ea57b4ad35e2d0b54d0991a63)), closes [#272](https://github.com/crystal-ball/eslint-config-eloquence/issue/272) [#271](https://github.com/crystal-ball/eslint-config-eloquence/issue/271)

### [16.7.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.7.0...v16.7.1) (2020-11-21)


#### 🛠 Fix

* Update testing-library version (#269)([5b10807](https://github.com/crystal-ball/eslint-config-eloquence/commit/5b1080752aedc2c612264420e2bb46c5c1646c4e)), closes [#269](https://github.com/crystal-ball/eslint-config-eloquence/issue/269)

#### Chore

* Add caching to CI ⚙️ (#268)([3b108da](https://github.com/crystal-ball/eslint-config-eloquence/commit/3b108daf069ff1ceff837e6c917c7ca2ae977543)), closes [#268](https://github.com/crystal-ball/eslint-config-eloquence/issue/268)

## [16.7.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.6.0...v16.7.0) (2020-11-21)


#### ✨ Update

* Package dependencies 🆙 (#267)([78a9027](https://github.com/crystal-ball/eslint-config-eloquence/commit/78a90274d7b571e8287897fb7b0fe69b99e13039)), closes [#267](https://github.com/crystal-ball/eslint-config-eloquence/issue/267)

#### Chore

* Update package jest to v26.6.1 🆙 (#263)([c7f948e](https://github.com/crystal-ball/eslint-config-eloquence/commit/c7f948e6b311522634ad2b9be19e40f42056a440)), closes [#263](https://github.com/crystal-ball/eslint-config-eloquence/issue/263)
* Update package jest to v26.6.2 🆙 (#265)([18303fc](https://github.com/crystal-ball/eslint-config-eloquence/commit/18303fce6f0ddd7f565ed505db885cb897966967)), closes [#265](https://github.com/crystal-ball/eslint-config-eloquence/issue/265)
* Update package jest to v26.6.3 🆙 (#266)([387a4e4](https://github.com/crystal-ball/eslint-config-eloquence/commit/387a4e401d07b2ee5e3b8bde98c72a35ba4c7aeb)), closes [#266](https://github.com/crystal-ball/eslint-config-eloquence/issue/266)

## [16.6.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.5.0...v16.6.0) (2020-10-25)


#### ✨ Update

* Dependencies 🆙 (#261)([074f6ff](https://github.com/crystal-ball/eslint-config-eloquence/commit/074f6ffdc96cf891040a6838d6e1a74495156ba7)), closes [#261](https://github.com/crystal-ball/eslint-config-eloquence/issue/261)

#### Chore

* Update devDependencies 🆙 (#260)([4da295e](https://github.com/crystal-ball/eslint-config-eloquence/commit/4da295e565ec4ac1367abfff2648be320b279548)), closes [#260](https://github.com/crystal-ball/eslint-config-eloquence/issue/260)

## [16.5.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.4.0...v16.5.0) (2020-10-15)


#### ✨ Update

* Turn off React JSX checks for new Babel transform 🤩 (#258)([eb1a199](https://github.com/crystal-ball/eslint-config-eloquence/commit/eb1a199c5e1ac8af4c991840506689a341a4655b)), closes [#258](https://github.com/crystal-ball/eslint-config-eloquence/issue/258)

## [16.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.3.1...v16.4.0) (2020-10-15)


#### ✨ Update

* Dependencies 🆙 (#255)([a462367](https://github.com/crystal-ball/eslint-config-eloquence/commit/a462367ea2435d82ec946d576471dfbdd0c41bc9)), closes [#255](https://github.com/crystal-ball/eslint-config-eloquence/issue/255)

#### Chore

* Update package jest to v26.5.2 🆙 (#256)([c1578af](https://github.com/crystal-ball/eslint-config-eloquence/commit/c1578aff3180d31ec48f0740b6e3963bee27a474)), closes [#256](https://github.com/crystal-ball/eslint-config-eloquence/issue/256)
* Update package jest to v26.5.3 🆙 (#257)([c42ef68](https://github.com/crystal-ball/eslint-config-eloquence/commit/c42ef683a9f59c81e66663091a122afdb0562bdb)), closes [#257](https://github.com/crystal-ball/eslint-config-eloquence/issue/257)

### [16.3.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.3.0...v16.3.1) (2020-09-28)


#### 🛠 Fix

* MDX configs ⚙️ (#254)([2099f4a](https://github.com/crystal-ball/eslint-config-eloquence/commit/2099f4ab69902de285bd382b494e0137446a6a7c)), closes [#254](https://github.com/crystal-ball/eslint-config-eloquence/issue/254)

## [16.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.2.0...v16.3.0) (2020-09-27)


#### ✨ Update

* Package docs 📝 (#253)([7771931](https://github.com/crystal-ball/eslint-config-eloquence/commit/77719315423f37c46d0e0e2896d59add0ea3307e)), closes [#253](https://github.com/crystal-ball/eslint-config-eloquence/issue/253)

## [16.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.1.0...v16.2.0) (2020-09-27)


#### ✨ Update

* Include reportUnusedDisableDirectives by default ⚙️ (#252)([78976c8](https://github.com/crystal-ball/eslint-config-eloquence/commit/78976c8f28498cce860ba088b86ffda2d867ec52)), closes [#252](https://github.com/crystal-ball/eslint-config-eloquence/issue/252)

## [16.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.0.1...v16.1.0) (2020-09-27)


#### ✨ Update

* Allow multiple stateless component definitions 🤩 (#251)([06a0494](https://github.com/crystal-ball/eslint-config-eloquence/commit/06a0494086d6a1c220c21b37139f8df9e9bf2254)), closes [#251](https://github.com/crystal-ball/eslint-config-eloquence/issue/251)

### [16.0.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v16.0.0...v16.0.1) (2020-09-27)


#### 🛠 Fix

* Warn syntax 🎊 (#250)([9edea6b](https://github.com/crystal-ball/eslint-config-eloquence/commit/9edea6bc6a7ebcb79ace04ac3a79f04379527789)), closes [#250](https://github.com/crystal-ball/eslint-config-eloquence/issue/250)

## [16.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.4.0...v16.0.0) (2020-09-27)


### 💥 Breaking Changes!

* Shorthand props must come after regular props, console.warn is now a warning in dev
to allow enforcing directives


#### ✨ Update

* Console dev level and React shorthand props ordering 💥 (#249)([f502e5d](https://github.com/crystal-ball/eslint-config-eloquence/commit/f502e5d2aac06b339bd6a8fad895a420545ea5cb)), closes [#249](https://github.com/crystal-ball/eslint-config-eloquence/issue/249)

## [15.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.3.0...v15.4.0) (2020-09-26)


#### 💖 New

* Opt in MDX linting 💖 (#248)([3feaa4b](https://github.com/crystal-ball/eslint-config-eloquence/commit/3feaa4b0fc35048bc86b69185db8b9fade73c8cc)), closes [#248](https://github.com/crystal-ball/eslint-config-eloquence/issue/248)

#### Chore

* Update devDependencies 🆙 (#247)([fdd401d](https://github.com/crystal-ball/eslint-config-eloquence/commit/fdd401d6248bb92ac6cd67cf36cc44651f1941a5)), closes [#247](https://github.com/crystal-ball/eslint-config-eloquence/issue/247)

## [15.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.2.1...v15.3.0) (2020-09-22)


#### ✨ Update

* Dependencies 🆙 (#246)([51d302e](https://github.com/crystal-ball/eslint-config-eloquence/commit/51d302e652174bffe98910206d0d7009ae298116)), closes [#246](https://github.com/crystal-ball/eslint-config-eloquence/issue/246)

### [15.2.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.2.0...v15.2.1) (2020-09-13)


#### 🛠 Fix

* Cypress fixes 🌲 (#245)([6899371](https://github.com/crystal-ball/eslint-config-eloquence/commit/68993711e381380e5e7d29bfff0a12a787f6fe37)), closes [#245](https://github.com/crystal-ball/eslint-config-eloquence/issue/245)

## [15.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.1.0...v15.2.0) (2020-09-13)


#### ✨ Update

* Disable import/no-unassigned-imports ⚙️ (#244)([f5eae35](https://github.com/crystal-ball/eslint-config-eloquence/commit/f5eae35b9c16d053c86c3c61d4ae1e4423ab8f15)), closes [#244](https://github.com/crystal-ball/eslint-config-eloquence/issue/244)

## [15.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v15.0.0...v15.1.0) (2020-09-12)


#### ✨ Update

* Plugin rules 📝 (#242)([74a5372](https://github.com/crystal-ball/eslint-config-eloquence/commit/74a5372efd32e2fc6e72239646c57c42d43fa235)), closes [#242](https://github.com/crystal-ball/eslint-config-eloquence/issue/242)

## [15.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.12.1...v15.0.0) (2020-09-12)


### 💥 Breaking Changes!

* Use `enableTS` and `enableESM` to disable TypeScript and ESModule configs when
necessary.


#### 💖 New

* TS by default support 💖 (#243)([7ade772](https://github.com/crystal-ball/eslint-config-eloquence/commit/7ade7724eb94cd0101a983482b2952634ef6c146)), closes [#243](https://github.com/crystal-ball/eslint-config-eloquence/issue/243)

### [14.12.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.12.0...v14.12.1) (2020-09-12)


#### 🛠 Fix

* Check for exports from TS files always 🎊 (#241)([83d22d4](https://github.com/crystal-ball/eslint-config-eloquence/commit/83d22d4db19013dcc29a9ce610bb14f01ecd1999)), closes [#241](https://github.com/crystal-ball/eslint-config-eloquence/issue/241)

## [14.12.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.11.1...v14.12.0) (2020-09-12)


#### ✨ Update

* Dependencies 🆙 (#240)([a351f57](https://github.com/crystal-ball/eslint-config-eloquence/commit/a351f5751adfe4fa1a7dc7e9061a40317033f8cc)), closes [#240](https://github.com/crystal-ball/eslint-config-eloquence/issue/240)

#### Chore

* Update package husky to v4.3.0 🆙 (#239)([0c40177](https://github.com/crystal-ball/eslint-config-eloquence/commit/0c40177369954eace392999e59ff9d233de5a599)), closes [#239](https://github.com/crystal-ball/eslint-config-eloquence/issue/239)

### [14.11.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.11.0...v14.11.1) (2020-09-05)


#### 🛠 Fix

* TS scope rules 🎊 (#238)([8e6e2a9](https://github.com/crystal-ball/eslint-config-eloquence/commit/8e6e2a94dba1bdbc275512f77a699c0ab3553f38)), closes [#238](https://github.com/crystal-ball/eslint-config-eloquence/issue/238)

## [14.11.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.10.0...v14.11.0) (2020-09-04)


#### ✨ Update

* Package dependencies 🆙 (#237)([dfd3251](https://github.com/crystal-ball/eslint-config-eloquence/commit/dfd3251d6e6d15aa3df16f24457f5efea9c4b3e5)), closes [#237](https://github.com/crystal-ball/eslint-config-eloquence/issue/237)

#### Chore

* Update devDependencies 🆙 (#232)([0454b1f](https://github.com/crystal-ball/eslint-config-eloquence/commit/0454b1f78bd51652dd7de52c3bd3216976f281a5)), closes [#232](https://github.com/crystal-ball/eslint-config-eloquence/issue/232)
* Update package @types/jest to v26.0.12 🆙 (#235)([8a595e4](https://github.com/crystal-ball/eslint-config-eloquence/commit/8a595e4f0e668d683613a624afdd07a1b38f8156)), closes [#235](https://github.com/crystal-ball/eslint-config-eloquence/issue/235)
* Update package jest to v26.4.2 🆙 (#234)([e75f7e1](https://github.com/crystal-ball/eslint-config-eloquence/commit/e75f7e14107e796b86fe64199ce205edba004773)), closes [#234](https://github.com/crystal-ball/eslint-config-eloquence/issue/234)

## [14.10.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.9.0...v14.10.0) (2020-08-06)


#### ✨ Update

* Dependencies 🆙 (#231)([e778c76](https://github.com/crystal-ball/eslint-config-eloquence/commit/e778c7676af156aae3babcbef100847252c2beee)), closes [#231](https://github.com/crystal-ball/eslint-config-eloquence/issue/231)

#### Chore

* Update devDependencies 🆙 (#230)([f48f27c](https://github.com/crystal-ball/eslint-config-eloquence/commit/f48f27c071f686c37382d66847276c21df014224)), closes [#230](https://github.com/crystal-ball/eslint-config-eloquence/issue/230)

## [14.9.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.8.0...v14.9.0) (2020-07-29)


#### ✨ Update

* Dependencies 🆙 (#229)([5e53b7e](https://github.com/crystal-ball/eslint-config-eloquence/commit/5e53b7e9ca72a04b9133db13d4e81f26b328b740)), closes [#229](https://github.com/crystal-ball/eslint-config-eloquence/issue/229)

#### Chore

* Fix Readme links 📝([a62c4ad](https://github.com/crystal-ball/eslint-config-eloquence/commit/a62c4ad119b056a123d342ada61269ad7b9bffe9))
* Update package @types/jest to v26.0.7 🆙 (#228)([5779bfc](https://github.com/crystal-ball/eslint-config-eloquence/commit/5779bfca22f84687c795371b8080c0c2fee5a525)), closes [#228](https://github.com/crystal-ball/eslint-config-eloquence/issue/228)

## [14.8.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.7.0...v14.8.0) (2020-07-26)


#### ✨ Update

* Dependencies 🆙 (#226)([d1f0650](https://github.com/crystal-ball/eslint-config-eloquence/commit/d1f0650f0a4628ff8060640884b9472d2564fbf2)), closes [#226](https://github.com/crystal-ball/eslint-config-eloquence/issue/226)

#### Chore

* Update package @types/jest to v26.0.5 🆙 (#227)([2094a80](https://github.com/crystal-ball/eslint-config-eloquence/commit/2094a80bdc580540f4cca3a972b63c10ede78c6e)), closes [#227](https://github.com/crystal-ball/eslint-config-eloquence/issue/227)

## [14.7.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.6.0...v14.7.0) (2020-07-08)


#### ✨ Update

* Package eslint-plugin-react-hooks to v4.0.6 🆙 (#225)([cdbc35d](https://github.com/crystal-ball/eslint-config-eloquence/commit/cdbc35d959bb869dfa8b98144831e31249976bd8)), closes [#225](https://github.com/crystal-ball/eslint-config-eloquence/issue/225)

## [14.6.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.5.0...v14.6.0) (2020-07-06)


#### ✨ Update

* Package dependencies 🆙 (#224)([bf1bb7d](https://github.com/crystal-ball/eslint-config-eloquence/commit/bf1bb7d174188fa759368eab6b6d4cce4a1cffbf)), closes [#224](https://github.com/crystal-ball/eslint-config-eloquence/issue/224)

#### Chore

* Update package @types/jest to v26.0.3 🆙 (#223)([c657b82](https://github.com/crystal-ball/eslint-config-eloquence/commit/c657b821b3d1a05d1e7aefbc232426e3d1740a69)), closes [#223](https://github.com/crystal-ball/eslint-config-eloquence/issue/223)
* Update package jest to v26.1.0 🆙 (#222)([0d17263](https://github.com/crystal-ball/eslint-config-eloquence/commit/0d1726354049d47defccbe6a3c398340de5e89cd)), closes [#222](https://github.com/crystal-ball/eslint-config-eloquence/issue/222)

## [14.5.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.4.0...v14.5.0) (2020-06-14)


#### ✨ Update

* Dependencies 🆙 (#218)([346303b](https://github.com/crystal-ball/eslint-config-eloquence/commit/346303b6df7e412ff3cd8b77184a3637e965e87d)), closes [#218](https://github.com/crystal-ball/eslint-config-eloquence/issue/218)

#### Chore

* Update package @types/jest to v26 🆙 (#219)([dc870c0](https://github.com/crystal-ball/eslint-config-eloquence/commit/dc870c05018385a7ef366cf66bc2f96bd3c39f49)), closes [#219](https://github.com/crystal-ball/eslint-config-eloquence/issue/219)

## [14.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.3.2...v14.4.0) (2020-06-03)


#### ✨ Update

* Dependencies 🆙 (#217)([f781438](https://github.com/crystal-ball/eslint-config-eloquence/commit/f781438ed4a8d2c9b130672855dcd445ebc492e2)), closes [#217](https://github.com/crystal-ball/eslint-config-eloquence/issue/217)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.19.0 🆙 (#216)([f9e0569](https://github.com/crystal-ball/eslint-config-eloquence/commit/f9e056942e8c2a834193b21c6eb69da4d568d06c)), closes [#216](https://github.com/crystal-ball/eslint-config-eloquence/issue/216)

### [14.3.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.3.1...v14.3.2) (2020-06-01)


#### 🛠 Fix

* Node projects linting 🎊 (#215)([ede0fb8](https://github.com/crystal-ball/eslint-config-eloquence/commit/ede0fb88f1a8f0dcaf448f06c303b00232940056)), closes [#215](https://github.com/crystal-ball/eslint-config-eloquence/issue/215)

### [14.3.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.3.0...v14.3.1) (2020-05-31)


#### 🛠 Fix

* Disable atomic updates rule ✅ (#214)([7a1ca42](https://github.com/crystal-ball/eslint-config-eloquence/commit/7a1ca42f373f3652d1d96b873da755dfdeb028dc)), closes [#214](https://github.com/crystal-ball/eslint-config-eloquence/issue/214)

## [14.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.2.1...v14.3.0) (2020-05-31)


#### 💖 New

* Configs for ignorePatterns and rules 💖 (#213)([7c30ff4](https://github.com/crystal-ball/eslint-config-eloquence/commit/7c30ff42210775cef9949903747c64298b2bb05b)), closes [#213](https://github.com/crystal-ball/eslint-config-eloquence/issue/213)

### [14.2.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.2.0...v14.2.1) (2020-05-31)


#### 🛠 Fix

* Disable import/no-unused-imports entirely ⚙️ (#212)([f7a6ea7](https://github.com/crystal-ball/eslint-config-eloquence/commit/f7a6ea7cbffd28f8bb5e10de4d1aa097cb2681b8)), closes [#212](https://github.com/crystal-ball/eslint-config-eloquence/issue/212)

## [14.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.5...v14.2.0) (2020-05-30)


#### ✨ Update

* Dependencies 🆙 (#209)([0f41997](https://github.com/crystal-ball/eslint-config-eloquence/commit/0f4199753517e7d483d73b0620cbfa0b6b35d29c)), closes [#209](https://github.com/crystal-ball/eslint-config-eloquence/issue/209)

#### 🛠 Fix

* Ignore tests and entry for unused-imports ⚙️ (#211)([743663b](https://github.com/crystal-ball/eslint-config-eloquence/commit/743663bb04dbc8c55fc62fcfde1223b6b7914366)), closes [#211](https://github.com/crystal-ball/eslint-config-eloquence/issue/211)

### [14.1.5](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.4...v14.1.5) (2020-05-30)


#### 🛠 Fix

* Unused imports, extensions and dependencies rules ⚙️ (#210)([7b0288d](https://github.com/crystal-ball/eslint-config-eloquence/commit/7b0288d4e48974547625c3c5c07177b2065c3ead)), closes [#210](https://github.com/crystal-ball/eslint-config-eloquence/issue/210)

### [14.1.4](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.3...v14.1.4) (2020-05-25)


#### 🛠 Fix

* Cleanup import rules ⚙️ (#208)([ddcbf37](https://github.com/crystal-ball/eslint-config-eloquence/commit/ddcbf376cef78186350c868120ba64a345861270)), closes [#208](https://github.com/crystal-ball/eslint-config-eloquence/issue/208)

### [14.1.3](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.2...v14.1.3) (2020-05-25)


#### 🛠 Fix

* Duplicated import linting ⚙️ (#207)([e575586](https://github.com/crystal-ball/eslint-config-eloquence/commit/e5755865ed0b5137b6baa944010e5414b55cfa05)), closes [#207](https://github.com/crystal-ball/eslint-config-eloquence/issue/207)

#### Docs

* Add notes.md for tracking ideas 📝 (#206)([e6d1271](https://github.com/crystal-ball/eslint-config-eloquence/commit/e6d1271882b748d9f18dece9a36d4a61cf1147a3)), closes [#206](https://github.com/crystal-ball/eslint-config-eloquence/issue/206)

### [14.1.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.1...v14.1.2) (2020-05-25)


#### 🛠 Fix

* Minor rule failures around TypeScript and Node plugins ⚙️ (#205)([d4c9f4f](https://github.com/crystal-ball/eslint-config-eloquence/commit/d4c9f4f4850ec818f61006321c6307c5583c039f)), closes [#205](https://github.com/crystal-ball/eslint-config-eloquence/issue/205)

### [14.1.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.1.0...v14.1.1) (2020-05-24)


#### 🛠 Fix

* Jest-dom rule typos and .eslintrc.js configs (#204)([0cc1c52](https://github.com/crystal-ball/eslint-config-eloquence/commit/0cc1c521bc7c23fe2448ebc348d8733a2279f7b3)), closes [#204](https://github.com/crystal-ball/eslint-config-eloquence/issue/204)

## [14.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v14.0.0...v14.1.0) (2020-05-24)


#### ✨ Update

* Package eslint to v7.1.0 🆙 (#197)([4843f9f](https://github.com/crystal-ball/eslint-config-eloquence/commit/4843f9f0bb41db8dbb45f47403337caba2ac0cf8)), closes [#197](https://github.com/crystal-ball/eslint-config-eloquence/issue/197)

#### Chore

* Add Code Climate config ⚙️ (#203)([302e4ae](https://github.com/crystal-ball/eslint-config-eloquence/commit/302e4ae28bd36a74b8d814757082bd6090ce37f6)), closes [#203](https://github.com/crystal-ball/eslint-config-eloquence/issue/203)

## [14.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.8.0...v14.0.0) (2020-05-24)


### 💥 Breaking Changes!

* Extends entry points removed, all users must now import eloquence and generate base
configs with a target.

### 🔖 Release Notes

* Rules for Jest DOM and React Testing Library added and rules for Node.js improved by
switching to the eslint-plugin-node plugin.


#### 💖 New

* ESLint 7, jest-dom, react-testing-library and node plugins 💖 (#202)([1d79ae9](https://github.com/crystal-ball/eslint-config-eloquence/commit/1d79ae9cda02604191108b7ddabc6dea961c8189)), closes [#202](https://github.com/crystal-ball/eslint-config-eloquence/issue/202) [#201](https://github.com/crystal-ball/eslint-config-eloquence/issue/201)

#### Chore

* Reconfigure Renovate ⚙️ (#195)([df5f3bf](https://github.com/crystal-ball/eslint-config-eloquence/commit/df5f3bf28114cdf9db368d6bf866d6e17017b905)), closes [#195](https://github.com/crystal-ball/eslint-config-eloquence/issue/195)
* Update dev dependencies 🆙 (#194)([cd5f099](https://github.com/crystal-ball/eslint-config-eloquence/commit/cd5f099498fb6fbcb065c3d4ce5aecfb893b0363)), closes [#194](https://github.com/crystal-ball/eslint-config-eloquence/issue/194)

## [13.8.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.7.0...v13.8.0) (2020-04-27)


#### ✨ Update

* Package dependencies 🆙 (#193)([18d430a](https://github.com/crystal-ball/eslint-config-eloquence/commit/18d430a4c15779f84ff8dc40e883da4ac8072248)), closes [#193](https://github.com/crystal-ball/eslint-config-eloquence/issue/193)

#### Chore

* Add unit tests ✅ (#190)([da8c312](https://github.com/crystal-ball/eslint-config-eloquence/commit/da8c3126ba28de2327b21e08bfb36063b93557ec)), closes [#190](https://github.com/crystal-ball/eslint-config-eloquence/issue/190)
* Reconfigure Renovate ⚙️ (#191)([a229be2](https://github.com/crystal-ball/eslint-config-eloquence/commit/a229be2b5df7506eda3fe6b0ee795237398f73c9)), closes [#191](https://github.com/crystal-ball/eslint-config-eloquence/issue/191)
* Update package @crystal-ball/commitizen-base to v2.5.0 🆙 (#192)([76efc6a](https://github.com/crystal-ball/eslint-config-eloquence/commit/76efc6ab8c3e69417b096226eb836f15088b2cfa)), closes [#192](https://github.com/crystal-ball/eslint-config-eloquence/issue/192)
* Update package @crystal-ball/prettier-base to v2.1.0 🆙 (#189)([d81e929](https://github.com/crystal-ball/eslint-config-eloquence/commit/d81e929fa599b62f3133c65252bebe08955cb798)), closes [#189](https://github.com/crystal-ball/eslint-config-eloquence/issue/189)

## [13.7.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.6.0...v13.7.0) (2020-04-18)


#### ✨ Update

* Package dependencies 🆙([b0a178c](https://github.com/crystal-ball/eslint-config-eloquence/commit/b0a178c5cd02fe2465c9f302e585e1c7d20267e9))

## [13.6.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.5.0...v13.6.0) (2020-03-15)


#### ✨ Update

* Package dependencies 🆙 (#182)([f717632](https://github.com/crystal-ball/eslint-config-eloquence/commit/f7176322693a0c4bce594dfb6232cd026a6565a8)), closes [#182](https://github.com/crystal-ball/eslint-config-eloquence/issue/182)

## [13.5.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.4.0...v13.5.0) (2020-03-03)


#### ✨ Update

* Package dependencies 🆙 (#181)([5b5b1ab](https://github.com/crystal-ball/eslint-config-eloquence/commit/5b5b1ab9e762f8a229ce986b4a6ff0df6daa8148)), closes [#181](https://github.com/crystal-ball/eslint-config-eloquence/issue/181)

## [13.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.3.0...v13.4.0) (2020-02-25)


#### ✨ Update

* Package dependencies 🆙([f38437f](https://github.com/crystal-ball/eslint-config-eloquence/commit/f38437ffeb7f70c2d558ea2caffacef86f9b3c0c))

#### Chore

* Update ci-cd configs([fa0f1d0](https://github.com/crystal-ball/eslint-config-eloquence/commit/fa0f1d048b5561127c8ac2fcd4157b3519230447))

## [13.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.2.2...v13.3.0) (2020-02-20)


#### ✨ Update

* Package dependencies 🆙 (#180)([85bf6e8](https://github.com/crystal-ball/eslint-config-eloquence/commit/85bf6e81394177f36dfff80ea7ddb3243cf76d2c)), closes [#180](https://github.com/crystal-ball/eslint-config-eloquence/issue/180)

### [13.2.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.2.1...v13.2.2) (2020-02-20)


#### 🛠 Fix

* Add babel config to allowed dev deps override (#179)([db81b32](https://github.com/crystal-ball/eslint-config-eloquence/commit/db81b326beb70c70b851749c0b0018ee148bc7e6)), closes [#179](https://github.com/crystal-ball/eslint-config-eloquence/issue/179)

### [13.2.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.2.0...v13.2.1) (2020-02-18)


#### 🛠 Fix

* Typescript and Storybook configs (#178)([1322321](https://github.com/crystal-ball/eslint-config-eloquence/commit/1322321f0308e9e79d987d7c8561fed3f0071f03)), closes [#178](https://github.com/crystal-ball/eslint-config-eloquence/issue/178)

## [13.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.1.0...v13.2.0) (2020-02-18)


#### 💖 New

* Computed index entry for Babel projects 🤩 (#177)([01277d8](https://github.com/crystal-ball/eslint-config-eloquence/commit/01277d8a6ad3a80d227adddccafe8c1dc5592394)), closes [#177](https://github.com/crystal-ball/eslint-config-eloquence/issue/177)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.13.0 🆙 (#174)([5676e5d](https://github.com/crystal-ball/eslint-config-eloquence/commit/5676e5d510dfaeddb0bfb9c5386aa84a50446cc4)), closes [#174](https://github.com/crystal-ball/eslint-config-eloquence/issue/174)

## [13.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.0.2...v13.1.0) (2020-02-09)


#### 💖 New

* Allow defining jest.mocks before import calls 🔮✨([7b70e10](https://github.com/crystal-ball/eslint-config-eloquence/commit/7b70e105b24c9fb1df4b3e083c025bc77b9615fc))

### [13.0.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.0.1...v13.0.2) (2020-02-08)


#### 🛠 Fix

* Node+TS configurations 🎊 (#173)([2a13568](https://github.com/crystal-ball/eslint-config-eloquence/commit/2a135682b596b713c42e933f3b389c1e62a2b3b3)), closes [#173](https://github.com/crystal-ball/eslint-config-eloquence/issue/173) [#172](https://github.com/crystal-ball/eslint-config-eloquence/issue/172)

### [13.0.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v13.0.0...v13.0.1) (2020-02-02)


#### 🛠 Fix

* Env severity regression 🦺 (#171)([6a5b6e8](https://github.com/crystal-ball/eslint-config-eloquence/commit/6a5b6e81552de76749dac73baa8c37a2c22d51e5)), closes [#171](https://github.com/crystal-ball/eslint-config-eloquence/issue/171)

## [13.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.21.0...v13.0.0) (2020-02-02)


### 💥 Breaking Changes!

* Storybook and Cypress entry files are removed

### 🔖 Release Notes

* Remove eloquence/storybook and eloquence/cypress config files, remove eslint comments for webpack.config.js


#### 💖 New

* Add file overrides to Node and React projects 💖 (#170)([86c5a8e](https://github.com/crystal-ball/eslint-config-eloquence/commit/86c5a8e4d0875813dd60b03f3abb6b90abd0eafa)), closes [#170](https://github.com/crystal-ball/eslint-config-eloquence/issue/170)

#### Chore, Docs

* Update package docs 📝([0fc7366](https://github.com/crystal-ball/eslint-config-eloquence/commit/0fc7366104e6ff8b2075ec9cb04b7886f35b5144))
* Update project and TypeScript docs 📝([258a3d0](https://github.com/crystal-ball/eslint-config-eloquence/commit/258a3d054f4aad023f749f4c86316d64312e371f))

## [12.21.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.20.0...v12.21.0) (2020-02-02)


#### ✨ Update

* Improved React rules 🆙 (#169)([caa1f42](https://github.com/crystal-ball/eslint-config-eloquence/commit/caa1f424f4dc4e1f199510d89fa49cecf2d0d260)), closes [#169](https://github.com/crystal-ball/eslint-config-eloquence/issue/169)

## [12.20.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.19.0...v12.20.0) (2020-02-02)


#### ✨ Update

* Upgrade TypeScript confgs 🔐 (#168)([ec59fc7](https://github.com/crystal-ball/eslint-config-eloquence/commit/ec59fc7bb231faffa08d4ffb648c4db29ccab0c1)), closes [#168](https://github.com/crystal-ball/eslint-config-eloquence/issue/168)

#### Chore

* Update dev dependencies 🆙 (#167)([f439be5](https://github.com/crystal-ball/eslint-config-eloquence/commit/f439be52782fb72f2cae5446693268ff44729c51)), closes [#167](https://github.com/crystal-ball/eslint-config-eloquence/issue/167)

## [12.19.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.18.0...v12.19.0) (2020-01-20)


#### ✨ Update

* Package eslint-plugin-react upgrades to v7.18.0 🆙 (#166)([8f1cb2d](https://github.com/crystal-ball/eslint-config-eloquence/commit/8f1cb2d2b9500331b7367048046c79d371e53223)), closes [#166](https://github.com/crystal-ball/eslint-config-eloquence/issue/166)

#### Chore

* Update dev dependencies 🆙 (#165)([6292884](https://github.com/crystal-ball/eslint-config-eloquence/commit/62928847b4f585d161223aa9ca5c33c9022e2910)), closes [#165](https://github.com/crystal-ball/eslint-config-eloquence/issue/165)

## [12.18.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.17.0...v12.18.0) (2020-01-14)


#### ✨ Update

* Package eslint-plugin-import upgrades to v2.20.0 🆙 (#163)([46c8988](https://github.com/crystal-ball/eslint-config-eloquence/commit/46c8988736b79fcd6f5e99531f435065b6d15ee1)), closes [#163](https://github.com/crystal-ball/eslint-config-eloquence/issue/163)

#### Chore

* Update package husky to v4 🆙 (#164)([f377017](https://github.com/crystal-ball/eslint-config-eloquence/commit/f377017237b4ed74743b44f5d1e68c18ef2c88d9)), closes [#164](https://github.com/crystal-ball/eslint-config-eloquence/issue/164)

## [12.17.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.16.0...v12.17.0) (2020-01-01)


#### ✨ Update

* Package eslint-config-prettier upgrades to v6.9.0 🆙 (#162)([9098ddc](https://github.com/crystal-ball/eslint-config-eloquence/commit/9098ddcdbab42cd222918a102013c13520e1d2d5)), closes [#162](https://github.com/crystal-ball/eslint-config-eloquence/issue/162)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.9.0 🆙 (#161)([ebd2bac](https://github.com/crystal-ball/eslint-config-eloquence/commit/ebd2bac824b24f5a389a7a59e22da8427dba1692)), closes [#161](https://github.com/crystal-ball/eslint-config-eloquence/issue/161)

## [12.16.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.15.1...v12.16.0) (2019-12-22)


#### ✨ Update

* Package dependencies 🆙 (#159)([8e06aa3](https://github.com/crystal-ball/eslint-config-eloquence/commit/8e06aa3c2518ced4e2443324eb5f7ba90415c135)), closes [#159](https://github.com/crystal-ball/eslint-config-eloquence/issue/159)

#### Chore

* Better dev rule overrides compliance (#160)([7baa1c9](https://github.com/crystal-ball/eslint-config-eloquence/commit/7baa1c92dc10ac308173eeb4786e4269a1d984d3)), closes [#160](https://github.com/crystal-ball/eslint-config-eloquence/issue/160)
* Update package @crystal-ball/semantic-release-base to v2.7.0 🆙 (#158)([67a7135](https://github.com/crystal-ball/eslint-config-eloquence/commit/67a71351a8b41ec8fa10d21561b1e1f4281a4c3d)), closes [#158](https://github.com/crystal-ball/eslint-config-eloquence/issue/158)

### [12.15.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.15.0...v12.15.1) (2019-12-04)


#### 🛠 Fix

* Only enforce props order, not alphabetical sorting ✓ (#157)([602b3fe](https://github.com/crystal-ball/eslint-config-eloquence/commit/602b3fea587f7332b179682ed2c7db11ce32f5db)), closes [#157](https://github.com/crystal-ball/eslint-config-eloquence/issue/157)

## [12.15.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.14.0...v12.15.0) (2019-12-02)


#### ✨ Update

* Upgrade rule settings for sorting in React components (#156)([9984dab](https://github.com/crystal-ball/eslint-config-eloquence/commit/9984dab890c9f7633303ed2b5e8d6e1eed3fab35)), closes [#156](https://github.com/crystal-ball/eslint-config-eloquence/issue/156)

## [12.14.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.13.0...v12.14.0) (2019-12-02)


#### ✨ Update

* Package dependencies 🆙 (#155)([6c13296](https://github.com/crystal-ball/eslint-config-eloquence/commit/6c13296476a26b70384baf5b708fb88eee522a4f)), closes [#155](https://github.com/crystal-ball/eslint-config-eloquence/issue/155)

#### Chore

* Update package @crystal-ball/semantic-release-base to v2.6.0 🆙 (#154)([4d7f458](https://github.com/crystal-ball/eslint-config-eloquence/commit/4d7f458089ee116153dbc2ad96bba3055cf34368)), closes [#154](https://github.com/crystal-ball/eslint-config-eloquence/issue/154)

## [12.13.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.12.0...v12.13.0) (2019-11-25)


#### ✨ Update

* Package dependencies 🆙 (#153)([1c3e024](https://github.com/crystal-ball/eslint-config-eloquence/commit/1c3e024d81a9d909641090c4eff9b0503c5cc3e7)), closes [#153](https://github.com/crystal-ball/eslint-config-eloquence/issue/153)

#### Chore

* Pin install versions ⚙️([58b5b80](https://github.com/crystal-ball/eslint-config-eloquence/commit/58b5b808e8859c9b36accdd46f21ada66b731097))

## [12.12.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.11.0...v12.12.0) (2019-11-21)


#### 💖 New

* Add react-hooks plugin 💖 (#152)([470a07c](https://github.com/crystal-ball/eslint-config-eloquence/commit/470a07c68805d46bec09ce36361ab1767b9763c2)), closes [#152](https://github.com/crystal-ball/eslint-config-eloquence/issue/152) [#137](https://github.com/crystal-ball/eslint-config-eloquence/issue/137)

#### Chore

* Add CODEOWNERS 📝([28d15b2](https://github.com/crystal-ball/eslint-config-eloquence/commit/28d15b2c5ff7b9949423cf35e7164683502406b5))
* Package updates ⚙️([bb5f0ad](https://github.com/crystal-ball/eslint-config-eloquence/commit/bb5f0ad698c704bf5a4a382876f31026f243e0ee))

## [12.11.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.10.1...v12.11.0) (2019-11-19)


#### ✨ Update

* Package eslint-config-prettier upgrades to v6.6.0 🆙 (#151)([2e3cf1d](https://github.com/crystal-ball/eslint-config-eloquence/commit/2e3cf1d3d086645a0d04aaa1404dc7a8dbb7855b)), closes [#151](https://github.com/crystal-ball/eslint-config-eloquence/issue/151)

#### Chore

* Add checks for skipping ci ⚙️ (#149)([4ae4474](https://github.com/crystal-ball/eslint-config-eloquence/commit/4ae4474a60e970c226d5c9d7be8528e1706b8701)), closes [#149](https://github.com/crystal-ball/eslint-config-eloquence/issue/149)
* Update dev dependencies 🆙 (#150)([eb4e39b](https://github.com/crystal-ball/eslint-config-eloquence/commit/eb4e39b039b09cbc54c98e32a23d102e253e0df0)), closes [#150](https://github.com/crystal-ball/eslint-config-eloquence/issue/150)

### [12.10.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.10.0...v12.10.1) (2019-11-16)


#### 🛠 Fix

* Ignore test/ for no-extraneous-dependencies (#148)([0083611](https://github.com/crystal-ball/eslint-config-eloquence/commit/0083611cb0e36921e69be59e0ec4760cd0c657d8)), closes [#148](https://github.com/crystal-ball/eslint-config-eloquence/issue/148)

#### Chore

* Code authoring format script improvements ⚙️([faa8e17](https://github.com/crystal-ball/eslint-config-eloquence/commit/faa8e17952448d50eb75ddc83017916210e1f77b))
* Code authoring updates 📝([4e6bba4](https://github.com/crystal-ball/eslint-config-eloquence/commit/4e6bba4c34c87828957212c128477c1a726f4c59))

## [12.10.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.9.1...v12.10.0) (2019-11-13)


#### ✨ Update

* Package eslint-formatter-pretty upgrades to v3 🆙 (#147)([64181f3](https://github.com/crystal-ball/eslint-config-eloquence/commit/64181f368e0d471493037b5950e2ea79156e95ef)), closes [#147](https://github.com/crystal-ball/eslint-config-eloquence/issue/147)

#### Chore

* Prune unnecessary template file([6bd1cdc](https://github.com/crystal-ball/eslint-config-eloquence/commit/6bd1cdc9975264956b3edb23e4dad060c7c236ca))
* Reconfigure Renovate 🆙 (#144)([ef45c05](https://github.com/crystal-ball/eslint-config-eloquence/commit/ef45c05c9eba083d0b9c06834ff08cc65a7c384f)), closes [#144](https://github.com/crystal-ball/eslint-config-eloquence/issue/144)
* Update Code of Conduct and Contributing files 🔮✨ (#143)([25e7cc3](https://github.com/crystal-ball/eslint-config-eloquence/commit/25e7cc36678a162beaf3df490cb03572913a6e61)), closes [#143](https://github.com/crystal-ball/eslint-config-eloquence/issue/143)
* Update dev dependencies 🆙 (#146)([81e13e9](https://github.com/crystal-ball/eslint-config-eloquence/commit/81e13e93c68732ff45316fe811dd36cfdcda831a)), closes [#146](https://github.com/crystal-ball/eslint-config-eloquence/issue/146)

### [12.9.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.9.0...v12.9.1) (2019-11-07)


#### 🛠 Fix

* Enforce sort default props rule ✓ (#142)([2f1ca0d](https://github.com/crystal-ball/eslint-config-eloquence/commit/2f1ca0d9129721e1b4d822f41fc5f38d0a7c885a)), closes [#142](https://github.com/crystal-ball/eslint-config-eloquence/issue/142)

## [12.9.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.8.0...v12.9.0) (2019-11-07)


#### ✨ Update

* Add test and story dirs to extraneous deps ignore (#141)([835947d](https://github.com/crystal-ball/eslint-config-eloquence/commit/835947d7b7ab7b1debab6e18606df955083bf17f)), closes [#141](https://github.com/crystal-ball/eslint-config-eloquence/issue/141) [#140](https://github.com/crystal-ball/eslint-config-eloquence/issue/140)

#### Chore

* Update package dev dependencies 🆙([285f0a6](https://github.com/crystal-ball/eslint-config-eloquence/commit/285f0a60dd5e88e7825bc80d38e40b28d3b82d92))

## [12.8.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.7.2...v12.8.0) (2019-11-01)


#### ✨ Update

* Update all non-major dependencies 🆙 (#139)([70da141](https://github.com/crystal-ball/eslint-config-eloquence/commit/70da141c01b89660f2da5ec2de756c032b71921c)), closes [#139](https://github.com/crystal-ball/eslint-config-eloquence/issue/139)

#### Chore

* Update all non-major devDependencies 🆙 (#138)([db47143](https://github.com/crystal-ball/eslint-config-eloquence/commit/db471435b0dd6f9b37792a5da98e99c2434d858c)), closes [#138](https://github.com/crystal-ball/eslint-config-eloquence/issue/138)

### [12.7.2](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.7.1...v12.7.2) (2019-10-14)


#### 🛠 Fix

* Set import sorts to 'warn' in non strict runs (#135)([30892ef](https://github.com/crystal-ball/eslint-config-eloquence/commit/30892ef0b4fc145c59a58eed01bf953323871a28)), closes [#135](https://github.com/crystal-ball/eslint-config-eloquence/issue/135)

### [12.7.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.7.0...v12.7.1) (2019-10-14)


#### 🛠 Fix

* Allow using async fns without await declarations (#134)([3f1fa03](https://github.com/crystal-ball/eslint-config-eloquence/commit/3f1fa03f2920c36d000ad5822550e4942e3359c3)), closes [#134](https://github.com/crystal-ball/eslint-config-eloquence/issue/134) [#131](https://github.com/crystal-ball/eslint-config-eloquence/issue/131)

## [12.7.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.6.0...v12.7.0) (2019-10-14)


#### ✨ Update

* Improve the import plugin rule configurations ⚙️ (#133)([bf1f315](https://github.com/crystal-ball/eslint-config-eloquence/commit/bf1f3157bda5123dd8ad647b64bcd8e56b56e568)), closes [#133](https://github.com/crystal-ball/eslint-config-eloquence/issue/133) [#131](https://github.com/crystal-ball/eslint-config-eloquence/issue/131)

#### Chore

* Update dependency husky to v3.0.9 🆙 (#132)([bda8528](https://github.com/crystal-ball/eslint-config-eloquence/commit/bda852800814ab7d564e4b2f7ed5db51bd1987bf)), closes [#132](https://github.com/crystal-ball/eslint-config-eloquence/issue/132)

## [12.6.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.5.0...v12.6.0) (2019-10-09)


#### 💖 New

* Rules added in new ESLint and plugin versions 💖 (#130)([4e70da4](https://github.com/crystal-ball/eslint-config-eloquence/commit/4e70da461311c8204157cbe5bcf55787848719ee)), closes [#130](https://github.com/crystal-ball/eslint-config-eloquence/issue/130) [#129](https://github.com/crystal-ball/eslint-config-eloquence/issue/129)

#### Chore

* Match workflows filename convention 🔮✨ (#128)([4820d05](https://github.com/crystal-ball/eslint-config-eloquence/commit/4820d0538253b75abe854f870cdc9efbc624af46)), closes [#128](https://github.com/crystal-ball/eslint-config-eloquence/issue/128)
* Use commitizen-base ⚙️ (#127)([758183f](https://github.com/crystal-ball/eslint-config-eloquence/commit/758183f909e4aa45eac3416915aaa0c7feca4a3a)), closes [#127](https://github.com/crystal-ball/eslint-config-eloquence/issue/127)

## [12.5.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.4.0...v12.5.0) (2019-10-08)


#### ✨ Update

* Update all non-major dependencies 🆙 (#126)([8413119](https://github.com/crystal-ball/eslint-config-eloquence/commit/84131195d291b4a99d30f5dc0f900489b7223a60)), closes [#126](https://github.com/crystal-ball/eslint-config-eloquence/issue/126)

#### Upgrade, Chore

* Commit-semantics 🆙([5a71a28](https://github.com/crystal-ball/eslint-config-eloquence/commit/5a71a282f6df4909a9ca0624abb630132fc9915a))
* Update all non-major dependencies (#109)([d099551](https://github.com/crystal-ball/eslint-config-eloquence/commit/d099551299beee3f38d3d1de1e6e1dde5652cbd8)), closes [#109](https://github.com/crystal-ball/eslint-config-eloquence/issue/109)
* Allow semantic to check branch ⚙️([6c32b89](https://github.com/crystal-ball/eslint-config-eloquence/commit/6c32b894c2b12320a07523fcd6898129b034dee7))
* Fix Semantic Release CI/CD ⚙️ (#115)([e8e785e](https://github.com/crystal-ball/eslint-config-eloquence/commit/e8e785e77549cf4b16265a0050b7dd14078abb8a)), closes [#115](https://github.com/crystal-ball/eslint-config-eloquence/issue/115)
* Reconfigure Renovate (#111)([5a7f879](https://github.com/crystal-ball/eslint-config-eloquence/commit/5a7f879960ff5d23d25ec4c2f494e0325a8a95d1)), closes [#111](https://github.com/crystal-ball/eslint-config-eloquence/issue/111)
* Reconfigure Renovate ⚙️ (#118)([26ab05b](https://github.com/crystal-ball/eslint-config-eloquence/commit/26ab05b04a0c00efd2cfb8442d45417dec191c1b)), closes [#118](https://github.com/crystal-ball/eslint-config-eloquence/issue/118)
* Reconfigure Renovate ⚙️ (#119)([e099462](https://github.com/crystal-ball/eslint-config-eloquence/commit/e099462bf07344045966f7e5c3549c79b79df365)), closes [#119](https://github.com/crystal-ball/eslint-config-eloquence/issue/119)
* Reconfigure Renovate ⚙️ (#125)([c6e3077](https://github.com/crystal-ball/eslint-config-eloquence/commit/c6e307767900b6c6c50a5f1f6faa2ce1c0cd1527)), closes [#125](https://github.com/crystal-ball/eslint-config-eloquence/issue/125)
* Remove Travis configs ⚙️ (#117)([77c1898](https://github.com/crystal-ball/eslint-config-eloquence/commit/77c1898d5c65ae4206b3a52c41b05f2b256701bf)), closes [#117](https://github.com/crystal-ball/eslint-config-eloquence/issue/117)
* Setup Github action for testing repo ⚙️ (#113)([d5fc213](https://github.com/crystal-ball/eslint-config-eloquence/commit/d5fc213cdbad5499b8586b0dc5467e65143118d4)), closes [#113](https://github.com/crystal-ball/eslint-config-eloquence/issue/113)
* Use names for GH Actions jobs 📝 (#116)([979a2b0](https://github.com/crystal-ball/eslint-config-eloquence/commit/979a2b06c0fe40b5f137d45f839c823cf6ff7de9)), closes [#116](https://github.com/crystal-ball/eslint-config-eloquence/issue/116)

# [12.4.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.3.0...v12.4.0) (2019-08-26)


### Chore

* Group non-major upgrades 🔧 (#107) ([03b0c3356de7278f06dcbf6be319d42a7e442435](https://github.com/crystal-ball/eslint-config-eloquence/commit/03b0c3356de7278f06dcbf6be319d42a7e442435)), closes [#107](https://github.com/crystal-ball/eslint-config-eloquence/issues/107)

### Update

* Dependencies update ✨ (#108) ([739bb750fbbe2fca57fbe78c52bd27a72313ce8b](https://github.com/crystal-ball/eslint-config-eloquence/commit/739bb750fbbe2fca57fbe78c52bd27a72313ce8b)), closes [#108](https://github.com/crystal-ball/eslint-config-eloquence/issues/108)

# [12.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.2.1...v12.3.0) (2019-07-27)


### Update

* Provide rule for function max parameters 💖 (#97) ([96f6d47f61c6290984a30bfa074b1527af544083](https://github.com/crystal-ball/eslint-config-eloquence/commit/96f6d47f61c6290984a30bfa074b1527af544083)), closes [#97](https://github.com/crystal-ball/eslint-config-eloquence/issues/97)

## [12.2.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.2.0...v12.2.1) (2019-07-27)


### Fix

* Allow importing path in Storybook configs 🔧 (#96) ([dc47118ce0ad07391202dbd27712be83a44dc8f0](https://github.com/crystal-ball/eslint-config-eloquence/commit/dc47118ce0ad07391202dbd27712be83a44dc8f0)), closes [#96](https://github.com/crystal-ball/eslint-config-eloquence/issues/96) [#88](https://github.com/crystal-ball/eslint-config-eloquence/issues/88)

# [12.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.1.0...v12.2.0) (2019-07-27)


### Update

* Allow anonymous array, object and literal default exports (#95) ([645436d16bf975af8dffe08076bcd5b4792accaf](https://github.com/crystal-ball/eslint-config-eloquence/commit/645436d16bf975af8dffe08076bcd5b4792accaf)), closes [#95](https://github.com/crystal-ball/eslint-config-eloquence/issues/95) [#93](https://github.com/crystal-ball/eslint-config-eloquence/issues/93)

# [12.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.0.1...v12.1.0) (2019-07-27)


### Update

* Dependencies update 🆙 ([1fbc4a2e1e36649ab2a9fc67a8d24e870ac432bd](https://github.com/crystal-ball/eslint-config-eloquence/commit/1fbc4a2e1e36649ab2a9fc67a8d24e870ac432bd))

## [12.0.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v12.0.0...v12.0.1) (2019-07-12)


### Docs

* Fix changelog docs and update to latest dev deps 🔧 (#86) ([c87073253e9cc7ca17094f93b0c9f24490972b98](https://github.com/crystal-ball/eslint-config-eloquence/commit/c87073253e9cc7ca17094f93b0c9f24490972b98)), closes [#86](https://github.com/crystal-ball/eslint-config-eloquence/issues/86)

### Fix

* Fix import and continue rule definitions ✨ (#87) ([0948beb5de9419fda13a1113c03c31d2e657203b](https://github.com/crystal-ball/eslint-config-eloquence/commit/0948beb5de9419fda13a1113c03c31d2e657203b)), closes [#87](https://github.com/crystal-ball/eslint-config-eloquence/issues/87) [#70](https://github.com/crystal-ball/eslint-config-eloquence/issues/70) [#71](https://github.com/crystal-ball/eslint-config-eloquence/issues/71)

# eslint-config-eloquence changelog

This project strictly adheres to semver and will err on the side of releasing majors when
changes could possibly introduce breaking changes. This changelog is dynamically generated
with [Semantic Release](https://semantic-release.gitbook.io/semantic-release/) configured
with [@crystal-ball/semantic-release-base](https://github.com/crystal-ball/semantic-release-base).

> Changelog tags
>
> - 💥 - Breaking change
> - 🔖 - Release notes
> - 💖 - New feature
> - ✨ - Updates
> - 🛠 - Fixes


# [12.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v11.2.0...v12.0.0) (2019-07-07)

### 💥 Breaking Changes

Rename any configuration using `eloquence/webpack` to `eloquence/react`. This
better reflects the project type rather than the tools used for the project.

### 🔖 Release Notes

This release cleans up the dependencies and rule definitions for Eloquence, most
importantly the dependency on the Airbnb package is removed and those rules are
copied into this repo. Reasons for this include:

- Better access to rules to handle switching between dev and test severity
  levels
- Faster releases to rules and linting issues
- More fine grained control of which rules are applied to which lint-set, eg
  Node.js and React rules are only applied to those lint sets.

Going forward this also has the benefit of consolidating all of the lint rules
applied for each set to this repo, allowing this repo to serve as the manager of
ESLint dependencies and rules.

### 💖 New

* Define rule configurations in repository 💖⏫ (#85) ([3f57e7a](https://github.com/crystal-ball/eslint-config-eloquence/commit/3f57e7a636166cc46810d759d268490c8e1384d4)), closes [#85](https://github.com/crystal-ball/eslint-config-eloquence/issues/85)

### Docs, Upgrade, Chore

* Update to project commit semantics 🔮✨ (#72) ([8e46a73](https://github.com/crystal-ball/eslint-config-eloquence/commit/8e46a737cb7d360d7b5e4980e15a3f7c73360a30)), closes [#72](https://github.com/crystal-ball/eslint-config-eloquence/issues/72)
* Add some of the missing releases to changelog 📝 ([da639ea](https://github.com/crystal-ball/eslint-config-eloquence/commit/da639ea68b84c6dc50936467a962924e5872651e))
* Format Changelog 📝 ([c828987](https://github.com/crystal-ball/eslint-config-eloquence/commit/c82898741d93fd95afb05a5d4bbacde750316ce0))
* Update dependency eslint-plugin-import to v2.17.3 (#69) ([955a541](https://github.com/crystal-ball/eslint-config-eloquence/commit/955a541985c2a4497edf3a619a710cc28d0a2e0e)), closes [#69](https://github.com/crystal-ball/eslint-config-eloquence/issues/69)
* Update dependency husky to v2.7.0 (#73) ([8c70763](https://github.com/crystal-ball/eslint-config-eloquence/commit/8c7076313783ec0abcee32d2add300c2c47f959a)), closes [#73](https://github.com/crystal-ball/eslint-config-eloquence/issues/73)


## [11.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v11.1.0...v11.2.0) (2019-05-19)


### 💖 New

* Add configs for TypeScript projects (#49) ([6761247](https://github.com/crystal-ball/eslint-config-eloquence/commit/6761247300fabcae424a18158371b8402f8dde6b)), closes [#49](https://github.com/crystal-ball/eslint-config-eloquence/issues/49)


## [11.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v11.0.0...v11.1.0) (2019-05-18)


### 💖 New

* Add pretty formatter dependency 💖 (#67) ([bd62aaf](https://github.com/crystal-ball/eslint-config-eloquence/commit/bd62aaf8a41786f1515b829f4b2c0a4042f644fa)), closes [#67](https://github.com/crystal-ball/eslint-config-eloquence/issues/67)

### ✨ Update

* Update dependencies and workflows (#63) ([66b2b60](https://github.com/crystal-ball/eslint-config-eloquence/commit/66b2b6081d1ce8da244fc74d114bc5feca9ffe73)), closes [#63](https://github.com/crystal-ball/eslint-config-eloquence/issues/63)
* Update dependency husky to v2.3.0 (#66) ([7c5c497](https://github.com/crystal-ball/eslint-config-eloquence/commit/7c5c497aa4991a00667d94974451639ba026d9db)), closes [#66](https://github.com/crystal-ball/eslint-config-eloquence/issues/66)

### Docs, Upgrade, Chore

* Configure Renovate (#51) ([0ceb0ad](https://github.com/crystal-ball/eslint-config-eloquence/commit/0ceb0ad806dcf012992f43e4e638899a81c8adf8)), closes [#51](https://github.com/crystal-ball/eslint-config-eloquence/issues/51)
* Pin dependencies (#54) ([6446a5a](https://github.com/crystal-ball/eslint-config-eloquence/commit/6446a5a6142e333b48c8a007af181ee90eacfbcd)), closes [#54](https://github.com/crystal-ball/eslint-config-eloquence/issues/54)
* Update dependency eslint to ~5.16.0 (#56) ([3a4a9c8](https://github.com/crystal-ball/eslint-config-eloquence/commit/3a4a9c8ed4087c9759cfb37a305f661c487981ac)), closes [#56](https://github.com/crystal-ball/eslint-config-eloquence/issues/56)
* Update dependency eslint-config-prettier to ~4.2.0 (#57) ([cce72c9](https://github.com/crystal-ball/eslint-config-eloquence/commit/cce72c94dca0c7bed735ba0e07f50328af6e5d69)), closes [#57](https://github.com/crystal-ball/eslint-config-eloquence/issues/57)
* Update dependency eslint-plugin-import to ~2.17.0 (#58) ([248b69f](https://github.com/crystal-ball/eslint-config-eloquence/commit/248b69ffa32fc3ab231f6e9d49ec3398ec2a87b2)), closes [#58](https://github.com/crystal-ball/eslint-config-eloquence/issues/58)
* Update dependency eslint-plugin-prettier to ~3.1.0 (#59) ([30a629c](https://github.com/crystal-ball/eslint-config-eloquence/commit/30a629c2e75a3d91fbb6fa5c9905b832b46d4f9a)), closes [#59](https://github.com/crystal-ball/eslint-config-eloquence/issues/59)
* Update dependency eslint-plugin-react to ~7.13.0 (#60) ([e5248b7](https://github.com/crystal-ball/eslint-config-eloquence/commit/e5248b78f1687d4d6dfd33924f087b81a5ad0f84)), closes [#60](https://github.com/crystal-ball/eslint-config-eloquence/issues/60)
* Update Node.js to v8.16 (#55) ([31ce389](https://github.com/crystal-ball/eslint-config-eloquence/commit/31ce38916de2badef5b36fff35eeedb7782348cb)), closes [#55](https://github.com/crystal-ball/eslint-config-eloquence/issues/55)
* Use Travis to target Node version instead of Docker (#62) ([080c66b](https://github.com/crystal-ball/eslint-config-eloquence/commit/080c66bb34fe4818890363d8ae6e0647d05f47d5)), closes [#62](https://github.com/crystal-ball/eslint-config-eloquence/issues/62)
* Addl badge awesomeness 💖 (#61) ([89279cc](https://github.com/crystal-ball/eslint-config-eloquence/commit/89279cc9245bfe2ef0f469d79442f37fe2235ec1)), closes [#61](https://github.com/crystal-ball/eslint-config-eloquence/issues/61)
* Replace Greenkeeper badge with Renovate badge (#53) ([807b697](https://github.com/crystal-ball/eslint-config-eloquence/commit/807b6979dde49709133f65fc62b7b72a25f642bf)), closes [#53](https://github.com/crystal-ball/eslint-config-eloquence/issues/53)
* Update dependency eslint-config-prettier to v4.3.0 (#65) ([fde33e4](https://github.com/crystal-ball/eslint-config-eloquence/commit/fde33e42144c6006d9d3b7fe09895e9f935dcb9c)), closes [#65](https://github.com/crystal-ball/eslint-config-eloquence/issues/65)


## [11.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v10.1.0...v11.0.0) (2019-02-08)

### 💥 Breaking Changes

Project types should be specified using entry files instead of settings

### 💖 New

* Entry files for project types created ([1e23bb0](https://github.com/crystal-ball/eslint-config-eloquence/commit/1e23bb0)), closes ([#37](https://github.com/crystal-ball/eslint-config-eloquence/issues/37))


## [10.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v10.0.0...v10.1.0) (2019-02-08)

### ✨ Update

* Add process global (#36) ([2126ced](https://github.com/crystal-ball/eslint-config-eloquence/commit/2126ced)), closes ([#35](https://github.com/crystal-ball/eslint-config-eloquence/issues/35))


## [10.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v9.6.0...v10.0.0) (2019-02-08)

### 💥 Breaking Changes

The flow plugin and rules are no longer included. The project type must be configured in the project
.eslintrc.js

### ✨ Update

* Update deps, add project type resolver, remove flow plugin ([473ba06](https://github.com/crystal-ball/eslint-config-eloquence/commit/473ba06))

<!-- Missing releases: 7.3, 7.3.1, 7.3.2, 7.4, 7.5, 8.0, 9.0, 9.1, 9.2, 9.3, 9.3.1, 9.3.2, 9.4, 9.5, 9.5.1, 9.6 -->

## [7.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v7.1.1...v7.2.0) (2018-04-30)

### ✨ Update

- log level warn in dev for prefer sfc ([9ac8479](https://github.com/crystal-ball/eslint-config-eloquence/commit/9ac8479))

### [7.1.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v7.1.0...v7.1.1) (2018-04-30)

### 🛠 Fixed

- fix dev rule breaking package disabling rule

## [7.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v7.0.0...v7.1.0) (2018-04-29)

### 💖 New

- Project type config to set webpack related project configs with
  `process.env.ELOQUENCE_PROJECT_TYPE`

## [7.0.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.3.0...v7.0.0) LevelUp (2018-04-29)

### 🔖 Release Notes

Package v7 includes two important updates:

- There is a single entry for node and browser project types. The duplicate
  entry types weren't really needed. Browser projects that _do_ use webpack
  custom resolution should specify it in the settings.
- Rule customization levels based on environment is simplified to take advantage
  of ESLint rule computation. It is possible to set the rule level for inherited
  rules without specifying the rule options 🎉

## [6.3.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.2.1...v6.3.0) (2018-02-07)

### 💖 New

- Additional warn in dev rules added

### [6.2.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.2.0...v6.2.1) (2018-02-07)

### 🛠 Fix

- Function trailing commas removed to provide Node v7.4 compatability for Atom
  editors.

## [6.2.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.1.0...v6.2.0) (2017-12-11)

### ✨ Update

- Node projects can now follow best practices and use `console.log` for
  outputting to stdout.

## [6.1.0](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.0.1...v6.1.0) (2017-11-17)

### 💖 New

- Warnings for low importance, tedious rules are now able to be downgraded
  during normal development and linted as errors in test. This makes hacking
  easier 🎉 while still maintaining quality in tests.

### Upgrade

- Updated non Airbnb deps to latest.

### [6.0.1](https://github.com/crystal-ball/eslint-config-eloquence/compare/v6.0.0...v6.0.1) (2017-10-23)

### 🛠 Fix

- Added `specialLink` value `to` to `jsx-a11y/anchor-is-valid` so that React
  Router `<Link/>` components validate correctly.

## 6.0.0 (2017-10-22)

### 🔖 Release Notes

v6 updates the linting configurations to match the convention for typing in
general and typing for React component props specifically.

The preferred method of adding static typing is with Flow. Support for
TypeScript is dropped. Integration with Flow has proven to provide nearly all
the benefits of TS with less overhead.

React component prop types should be typed using Flow. This removes the need for
using hoisted function names to declare types before component definitions.
Class properties or type definitions can be declared at the beginning of
component files/definitions. This allows removal of the `no-use-before-define`
customization.
